<?php

    if (isset($_GET['code'])) {
    	try {
    
            $code = $_GET['code'];
            $options = book_an_appointment_961_get_options();

            if (!empty($options['calendar']['key']) and  !empty($options['calendar']['secret'])) {
    
                if (!class_exists('GoogleCalendarApi')) {
                    include_once( BOOK_AN_APPOINTMENT_961_ROOT .DIRECTORY_SEPARATOR. 'libs' .DIRECTORY_SEPARATOR. 'google-calendar-api.php');
                }
        		$capi = new GoogleCalendarApi();
        		
        		// Get the access token 
        		$data = $capi->GetAccessToken($options['calendar']['key'], home_url() . '/booking-calendar', $options['calendar']['secret'], $code);
                if (isset($data['access_token'])) {
                    $options['calendar']['code'] = $code;
                    $options['calendar']['token'] = $data['access_token'];   
                    if (isset($data['refresh_token'])) {
                        $options['calendar']['refresh'] = $data['refresh_token'];   
                    }
                    if (isset($data['expires_in'])) {
                        $options['calendar']['expires'] = time() + $data['expires_in'];   
                    }
                    update_option('book_an_appointment_options', $options);             
                }
            }
    
    	}
    	catch(Exception $e) {
    		echo $e->getMessage();
    		exit();
    	}
    }
	// Redirect to the page where user can create event
    $url = home_url() . '/wp-admin/options-general.php?page=book-an-appointment-setting-admin&book-an-appointment-tab=calendar';
	header('Location: '. $url);
	exit();
