<?php 
    get_header(); 
    
    global $dovi42_cpt_name, $dovi42_cpt_category_name;
?>

<div class="<?php echo get_theme_mod('theme_page_width', 'container');?> pt-3 page">
    <div class="row">
        <div class="col-sm">
            <div id="content" role="main">
                <h1 class="title"><?php the_title()?></h1>
                <div class="post-text">
                <?php
                    the_post_thumbnail('post-thumbnail', array('class' => 'appointment-thumbnail img-thumbnail rounded float-left mr-3')); 
                
                    $post = $wp_query->post;
                    $post->post_content .= '<div class="clearfix"></div>' .
                                           '<div class="book-an-appointment mt-3">[book-an-appointment target="'.$post->post_name.'"]</div>';  
                    $post->post_content = apply_filters('the_content', $post->post_content);
                    echo $post->post_content;    
                ?>
                </div>
            </div><!-- /#content -->
        </div>
    </div><!-- /.row -->
</div><!-- /#page -->

<?php get_footer(); ?>
