jQuery(document).ready(function() {
    book_an_appointment_961_update_links();
});

function book_an_appointment_961_update_links() {
    var slug = jQuery('#places-list').val();
    
    var home = jQuery('#home_link').val();
    
    var link = '<a href="'+home+slug+'" target="_blank">'+home+slug+'</a>';
    jQuery('#place_link').html(link);
    
    var shortcode = '[book-an-appointment target="'+slug+'"]';
    jQuery('#place_shortcode').html(shortcode);
}

function book_an_appointment_961_copy_to_clipboard() {
    text = jQuery('#place_shortcode').text();
    var temp = jQuery("<input>");
    jQuery("body").append(temp);
    temp.val(text).select();
    document.execCommand("copy");
    temp.remove();    
}

function book_an_appointment_961_save_google() {

    var item = jQuery('#google_save_button').find('.dashicons:first');
    item.removeClass('dashicons-google');
    item.addClass('dashicons-update-alt');
    item.addClass('spin');

    var data = {
            action : 'book_an_appointment_961_save_google_keys',
            key    : jQuery('#site_key').val(),
            secret : jQuery('#secret_key').val()
        };

    jQuery.ajax({
        url      : book_an_appointment_961_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){

            if (data.status == 1) {
                
                var url = 'https://accounts.google.com/o/oauth2/auth?scope=' +
                          data.link +
                          '&redirect_uri='+data.redirect + 
                          '&response_type=code' +
                          '&client_id='+data.site_key + 
                          '&access_type=offline';
                window.open(url, '_self');
                
            } else {
                var item = jQuery('#google_save_button').find('.dashicons:first');
                item.removeClass('dashicons-update-alt');
                item.removeClass('spin');
                item.addClass('dashicons-google');
            }
        } 
    });
}