<?php  

    global $wpdb;

    $token = get_query_var('booking-confirmation');
    $text  = '';
    
    if (!empty($token)) {

        $query = 'SELECT * FROM ' . $wpdb->prefix.'bookanappointment ' .
                 'WHERE ' .
                    '`token` = "'.$token.'"';
        $data = $wpdb->get_row($query, ARRAY_A);
        
        if (empty($data)) {
            $text = __('This reservation is not in our system.<br /><small>It is possible that it was confirmed too late, or the confirmation link is broken.</small>', 'book-an-appointment');
        } else {
            if ($data['confirm'] != "") {
                $text = __('This reservation has been previously confirmed.', 'book-an-appointment');                
            } else {
                $wpdb->update($wpdb->prefix.'bookanappointment',
                        array('confirm' => date_i18n('Y-m-d H:i:s')),
                        array('token' => $token) 
                    );
                $info = unserialize($data['data']);
                
                $query = 'SELECT `date` FROM ' . $wpdb->prefix.'bookanappointment ' .
                         'WHERE ' .
                            '`token` = "'.$token.'"';
                $d = $wpdb->get_results($query, ARRAY_A);
                
                if (count($d) > 1) {
                    $data['date'] = array();
                    for ($i = 0; $i <= count($d)-1; $i++) {
                        $data['date'][]	= $d[$i]['date'];
                    }
                } else {
                    $info['date'] = $data['date'];
                }

                $info['date'] = $data['date'];
                $info['time'] = $data['time'];
                book_an_appointment_961_send_confirmation_info($data['place_id'], $info);
                
                book_an_appointment_961_add_google_calendar($token);

                if (has_action('book_an_appointment_after_user_confirmation')) {
                    do_action('book_an_appointment_after_user_confirmation', $token);                    
                }

                $text = __('Reservation confirmed successfully.', 'book-an-appointment');
            }
        }
        
    } else {
        $text = __('<strong>Error!</strong> Token not set.', 'book-an-appointment');
    }
?>
<div style="text-align: center; padding: 20px;">
    <div style="padding: 20px 40px;text-align:center;border:1px solid #ccc;display:inline-block;font-family: Arial, Helvetica, sans-serif;">
        <?php echo $text;?>
    </div>
</div>


