<?php

require_once( dirname(__file__) . '/inputs-class.php' );

if ( ! class_exists( 'Dovi42_Meta_Box_Input_Select') ) :

    class Dovi42_Meta_Box_Input_Select extends Dovi42_Meta_Box_Inputs  {

        var $options = array(
                'values' => array()
            );

        public function __construct($options)
        {
            parent::__construct($options);
        }

        function render($post_id) {
            
            parent::render($post_id);

            if ($this->value == null) {
                if (!empty($this->options['values'])) {
                    $keys = array_keys($this->options['values']);
                    $this->value = $keys[0];
                }
            }

            $html = '<tr>' . "\r\n" . 
                    "\t" . '<td>' . "\r\n" . 
                    "\t\t" . '<label>'.$this->options['label'].'</label>' . "\r\n" . 
                    "\t" . '</td>' . "\r\n" .
                    "\t" . '<td>' . "\r\n". 
                    "\t\t" . '<select name="'.$this->options['meta_key'].'_'.$this->options['id'].'" data-type="select">' . "\r\n";
            foreach ($this->options['values'] as $key => $value ) {
                $selected = '';
                if ($key == $this->value) { 
                    $selected = 'selected="selected"'; 
                }
                $html .= "\t\t\t" . '<option value="'.$key.'" '.$selected.'>'.$value.'</option>' . "\r\n";
            }               
            $html .= "\t\t" . '</select>' . "\r\n";       
            if ((isset($this->options['description'])) and (!empty($this->options['description']))) {
                    $html .= "\t\t" . '<div class="description small">'.$this->options['description'].'</div>' . "\r\n";
            } 
            
            $html .= "\t" . '</td>' . "\r\n" .
                     '</tr>' . "\r\n"; 
            return $html;
        }

    }
endif;