<?php

$endpoints = array('confirmation', 'cancel', 'calendar');

add_action('init', function() {
	global $endpoints;
    foreach ($endpoints as $endpoint) {
        add_rewrite_endpoint('booking-'.$endpoint, EP_ALL);	   
	}
});

add_filter('request', function($vars) {
	global $endpoints;
	foreach ($endpoints as $endpoint) {
    	if (isset($vars['booking-'.$endpoint])) {
    		if (empty($vars['booking-'.$endpoint])) {
                $vars['booking-'.$endpoint] = true;
    		}
    	}
    }
	return $vars;
});    

add_filter('template_include', function($template) {
	global $endpoints;
	foreach ($endpoints as $endpoint) {
        if (get_query_var('booking-'.$endpoint)) {
            $template = BOOK_AN_APPOINTMENT_961_ROOT .DIRECTORY_SEPARATOR. 'endpoints' .DIRECTORY_SEPARATOR. 'booking-'.$endpoint.'.php'; 
    	}
    }
	return $template;
});
